crashpad::ProcessMemoryLinux Class Referencefinal

Accesses the memory of another Linux process. More...

`#include "util/process/process_memory_linux.h"`

Inheritance diagram for crashpad::ProcessMemoryLinux:

## Public Member Functions

bool | Initialize (pid_t pid)
| Initializes this object to read the memory of a process whose ID is pid. More...
Public Member Functions inherited from crashpad::ProcessMemory
bool | Read (VMAddress address, size_t size, void *buffer) const
| Copies memory from the target process into a caller-provided buffer in the current process. More...
bool | ReadCString (VMAddress address, std::string *string) const
| Reads a `NUL`-terminated C string from the target process into a string in the current process. More...
bool | ReadCStringSizeLimited (VMAddress address, size_t size, std::string *string) const
| Reads a `NUL`-terminated C string from the target process into a string in the current process. More...

## Detailed Description

Accesses the memory of another Linux process.

## Member Function Documentation

## Initialize()

bool crashpad::ProcessMemoryLinux::Initialize | ( | pid_t | pid | ) |

Initializes this object to read the memory of a process whose ID is pid.

This method must be called successfully prior to calling any other method in this class.

Parameters

  [in] | pid | The process ID of a target process.

Returns
  `true` on success, `false` on failure with a message logged.

The documentation for this class was generated from the following files:

- util/process/process_memory_linux.h
- util/process/process_memory_linux.cc